<?php
/**
 * The html template file of step4 method of install module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     ZenTaoPMS
 * @version     $Id: step4.html.php 4129 2013-01-18 01:58:14Z wwccss $
 */
?>
<?php include '../../common/view/header.lite.html.php';?>
<div class='container'>
  <div class='modal-dialog'>
  <?php if(isset($error)):?>
    <div class='modal-header'>
      <strong><?php echo $lang->install->error;?></strong>
    </div>
    <div class='modal-body'>
      <div class='alert alert-danger alert-pure with-icon'>
        <i class='icon-exclamation-sign'></i>
        <div class='content'><?php echo $error;?></div>
      </div>
    </div>
    <div class='modal-footer'>
      <?php echo html::commonButton($lang->install->pre, "onclick='javascript:history.back(-1)'");?>
    </div>
  <?php elseif(isset($success)):?>
    <div class='modal-header'>
      <strong><?php echo $lang->install->success;?></strong>
    </div>
    <div class='modal-body'>
      <div class='alert alert-success alert-pure with-icon'>
        <i class='icon-check-circle'></i>
        <div class='content'><?php echo $afterSuccess;?></div>
      </div>
    </div>
    <div class='modal-footer'>
      <?php echo html::commonButton($lang->install->pre, "onclick='javascript:history.back(-1)'");?>
    </div>
  <?php else:?>
    <div class='modal-header'>
      <strong><?php echo $lang->install->setApacheConfig;?></strong>
    </div>
    <div class='modal-body'>
      <form method='post' id='saveConfig'>
        <table class='table table-form mw-800px' style='margin: 0 auto'>
          <tr>
            <th class='w-150px'><?php echo $lang->install->platDirectory;?></th>
            <td class='w-400px'><?php echo html::input('platBasePath', $platBasePath, "class='form-control' autocomplete='off'");?></td>
            <td><span class='text-danger'><?php echo $lang->install->placeholder->platPath;?></span></td>
          </tr>
          <tr>
            <th><?php echo $lang->install->nodeDirectory;?></th>
            <td><?php echo html::input('nodeBasePath', $nodeBasePath, "class='form-control' autocomplete='off'");?></td>
            <td><span class='text-danger'><?php echo $lang->install->placeholder->nodePath;?></span></td>
          </tr>
          <tr>
            <th><?php echo $lang->install->svnDirectory;?></th>
            <td><?php echo html::input('svnBasePath', $svnBasePath, "class='form-control' autocomplete='off'");?></td>
            <td></td>
          </tr>
          <tr>
            <th><?php echo $lang->install->gitDirectory;?></th>
            <td><?php echo html::input('gitBasePath', $gitBasePath, "class='form-control' autocomplete='off'");?></td>
            <td></td>
          </tr>
          <tr>
            <th><?php echo $lang->install->backupDirectory;?></th>
            <td><?php echo html::input('backupBasePath', $backupBasePath, "class='form-control' autocomplete='off'");?></td>
            <td></td>
          </tr>
          <tr>
            <th><?php echo $lang->install->platDomain;?></th>
            <td><?php echo html::input('platDomain', $platDomain, "class='form-control' autocomplete='off'");?></td>
            <td><span class='text-danger'><?php echo $lang->install->placeholder->platDomain;?></span></td>
          </tr>
          <tr>
            <th><?php echo $lang->install->nodeDomain;?></th>
            <td><?php echo html::input('nodeDomain', $nodeDomain, "class='form-control' autocomplete='off'");?></td>
            <td><span class='text-danger'><?php echo $lang->install->placeholder->nodeDomain;?></span></td>
          </tr>
          <tr>
            <th><?php echo $lang->install->codeDomain;?></th>
            <td><?php echo html::input('codeDomain', $codeDomain, "class='form-control' autocomplete='off'");?></td>
            <td><span class='text-danger'><?php echo $lang->install->placeholder->codeDomain;?></span></td>
          </tr>
          <tr class='text-center'>
            <td colspan='2'><?php echo html::submitButton();?></td>
          </tr>
        </table>
      </form>
    </div>
  <?php endif;?>
  </div>
</div>
<?php include '../../common/view/footer.lite.html.php';?>
